--- timed/timed/globals.h.orig	2008-09-29 01:38:10.000000000 +0000
+++ timed/timed/globals.h	2008-09-29 01:38:41.000000000 +0000
@@ -73,7 +73,7 @@
  * This is essentially the number of milliseconds per CPU tick (CLK_TCK?).
  * All delays shorter than this are usually reported as 0.
  */
-#define MIN_ROUND ((1000-1)/CLK_TCK)
+#define MIN_ROUND ((1000-1)/CLOCKS_PER_SEC)
 
 
 #define SAMPLEINTVL	240		/* synch() freq for master in sec */
--- timed/timed/master.c.orig	2008-09-29 01:41:38.000000000 +0000
+++ timed/timed/master.c	2008-09-29 01:42:52.000000000 +0000
@@ -554,7 +554,7 @@
 	this_time = times(&tm);
 	if (this_time + delta < next_time)
 		return;
-	next_time = this_time + CLK_TCK;
+	next_time = this_time + CLOCKS_PER_SEC;
 
 	fprintf(fd, "host table: %d entries at %s\n", slvcount, date());
 	htp = self.l_fwd;
@@ -612,7 +612,7 @@
 		if (slvcount >= NHOSTS) {
 			if (trace) {
 				fprintf(fd, "no more slots in host table\n");
-				prthp(CLK_TCK);
+				prthp(CLOCKS_PER_SEC);
 			}
 			syslog(LOG_ERR, "no more slots in host table");
 			Mflag = 0;
@@ -746,13 +746,13 @@
 	struct hosttbl *htp;
 
 	if (trace)
-		prthp(CLK_TCK);
+		prthp(CLOCKS_PER_SEC);
 	for (htp = self.l_fwd; htp != &self; htp = htp->l_fwd) {
 		if (ntp == htp->ntp)
 			htp = remmach(htp);
 	}
 	if (trace)
-		prthp(CLK_TCK);
+		prthp(CLOCKS_PER_SEC);
 }
 
 
@@ -857,7 +857,7 @@
 	trace = 1;
 	get_goodgroup(1);
 	setstatus();
-	prthp(CLK_TCK);
+	prthp(CLOCKS_PER_SEC);
 }
 
 
@@ -866,7 +866,7 @@
 {
 	get_goodgroup(1);
 	setstatus();
-	prthp(CLK_TCK);
+	prthp(CLOCKS_PER_SEC);
 	if (trace) {
 		fprintf(fd, msg, date());
 		(void)fclose(fd);
--- timed/timed/readmsg.c.orig	2008-09-29 01:44:35.000000000 +0000
+++ timed/timed/readmsg.c	2008-09-29 01:45:00.000000000 +0000
@@ -181,8 +181,8 @@
 		if (rwait.tv_sec < 0)
 			rwait.tv_sec = rwait.tv_usec = 0;
 		else if (rwait.tv_sec == 0
-			 && rwait.tv_usec < 1000000/CLK_TCK)
-			rwait.tv_usec = 1000000/CLK_TCK;
+			 && rwait.tv_usec < 1000000/CLOCKS_PER_SEC)
+			rwait.tv_usec = 1000000/CLOCKS_PER_SEC;
 
 		if (trace) {
 			fprintf(fd, "readmsg: wait %d.%6d at %s\n",
--- timed/timed/timed.c.orig	2008-09-29 01:46:43.000000000 +0000
+++ timed/timed/timed.c	2008-09-29 01:48:15.000000000 +0000
@@ -898,7 +898,7 @@
 void
 get_goodgroup(int force)
 {
-# define NG_DELAY (30*60*CLK_TCK)	/* 30 minutes */
+# define NG_DELAY (30*60*CLOCKS_PER_SEC)	/* 30 minutes */
 	static unsigned long last_update = -NG_DELAY;
 	unsigned long new_update;
 /*	struct hosttbl *htp; */
